# Analysis code for "A cellular atlas of the healthy human adult female urethra"

## Overview

This repository contains the code necessary to replicate the analysis carried out in the above listed manuscript.

## Usage

1. Clone this repo and change into the directory.
2. Launch R. If `renv` is not installed, it will be bootstrapped.
3. Prepare the R analysis environment by running `renv::restore()`.
4. Acquire the raw data (fastq files).
5. Run Cell Ranger Count with version and parameters matching `run_cellranger_count.slurm`.
6. Run CellBender with the image version and parameters matching `run_cellbender.slurm`.
7. (Optional) Install the cellbender conda environment matching `environment_cellbender.yml`, and run `calc_rho_from_cellbender.slurm` to calculate contamination fractions.
8. Run `01_initial_analysis.R`, modifying the input and output lines as necessary.
9. Run `02_preprocess.R`, modifying the input and output lines as necessary.
10. Run `03_lineage_filtering.R`, modifying the input and output lines as necessary.
